/*
 * TrkDeflVsGPDeflHHistoAction.cpp
 *
 *  Created on: 24/jun/2010
 *      Author: S. Ricciarini
 */

#include "TrkDeflVsGPDeflHHistoAction.h"

TrkDeflVsGPDeflHHistoAction::TrkDeflVsGPDeflHHistoAction(const char *actionName, TString outFileBase,
    TString mode, bool outRoot, bool outText, TString title) :
Histo2DAction<Int_t> (actionName, title, outFileBase, mode, outRoot, outText){
}

void TrkDeflVsGPDeflHHistoAction::OnGood(PamLevel2 *event) {

  Fill(1./event->GetGPamela()->P0, event->GetTrack(0)->GetTrkTrack()->GetDeflection());
}
